drio
Technical ReviewAPI Reference

Templates

Public Drio template catalog.

GET
/api/v1/templates

Query Parameters

category?string
Length1 <= length

Response Body

application/json

curl -X GET "https://mcp.getdrio.com/api/v1/templates"
{
  "templates": [
    {
      "templateId": "support",
      "name": "Support",
      "description": "Support copilot",
      "icon": "headphones",
      "category": "customer-support",
      "previewImage": "https://images.getdrio.com/support.png",
      "branding": {
        "primaryColor": "#0f172a",
        "accentColor": "#22c55e",
        "backgroundColor": "#ffffff",
        "fontFamily": "Geist",
        "borderRadius": "lg"
      }
    }
  ]
}
GET
/api/v1/templates/{templateId}

Path Parameters

templateId*string

Response Body

application/json

application/json

curl -X GET "https://mcp.getdrio.com/api/v1/templates/string"
{
  "template": {
    "templateId": "support",
    "name": "Support",
    "description": "Support copilot",
    "icon": "headphones",
    "category": "customer-support",
    "previewImage": "https://images.getdrio.com/support.png",
    "branding": {
      "primaryColor": "#0f172a",
      "accentColor": "#22c55e",
      "backgroundColor": "#ffffff",
      "fontFamily": "Geist",
      "borderRadius": "lg"
    },
    "capabilities": [
      {
        "name": "search_tickets"
      }
    ],
    "prompts": [
      {
        "name": "summarize_ticket"
      }
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}